# $Revision: 1.16 $, $Date: 2011/04/16 18:50:46 $
Summary:	Gourmet Recipe Manager is a simple but powerful recipe-managing application
Summary(hu.UTF-8):	Gourmet Recipe Manager egy egyszerű, de hatékony recept-nyilvántartó alkalmazás
Name:		gourmet
Version:	0.15.9
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/grecipe-manager/%{name}-%{version}.tar.gz
# Source0-md5:	7bef5569fb4523747973d83ab69a9a79
URL:		http://grecipe-manager.sourceforge.net/
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	python-PIL-devel
BuildRequires:	python-ReportLab
BuildRequires:	python-gnome-desktop-print
BuildRequires:	python-pygtk-devel
BuildRequires:	python-sqlite
BuildRequires:	rpm-pythonprov
Requires:	python-%{name} = %{version}-%{release}
Requires:	python-sqlite
Suggests:	python-gnome-extras-gtkspell
#Suggests:	python-poppler
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gourmet Recipe Manager is a simple but powerful recipe-managing
application. Gourmet allows you to collect, search and organize your
recipes, and to automatically generate shopping lists from your
collection.

%description -l hu.UTF-8
Gourmet Recipe Manager egy egyszerű, de hatékony recept-nyilvántartó
alkalmazás. A Gourmet-tal össze tudod gyűjteni, keresni és
rendszerezni a receptjeidet és automatikusan elkészíteni a
bevásárlólistát a gyűjteményed alapján.

%package -n python-%{name}
Summary:	Gourmet Python modules
Summary(hu.UTF-8):	Gourmet Python modulok
Summary(pl.UTF-8):	Moduły Pythona Gourmet
Group:		Development/Languages/Python
Requires:	python-ReportLab
Requires:	python-sqlalchemy-migrate
%pyrequires_eq	python-modules

%description -n python-%{name}
This package provides Gourmet Recipe Manager Python modules.

%description -n python-%{name} -l hu.UTF-8
Ez a csomag tartalmazza a Gourmet Recipe Manager Python moduljait.

%description -n python-%{name} -l pl.UTF-8
Moduły Pythona z Gourmet Recipe Manager.

%prep
%setup -q

%build
cd i18n
mv nl_NL.po nl.po
mv pt_PT.po pt.po
mv zh.po zh_CN.po
rm de.po
rm sv.po
rm sv_SE.po
for file in *.po; do
	lang=$(echo $file | cut -f 1 -d .)
	mkdir -p $lang/LC_MESSAGES
	msgfmt -o $lang/LC_MESSAGES/gourmet.mo $file
done
cd ..
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

mv $RPM_BUILD_ROOT%{_localedir}/{sv_SE,sv}
mv $RPM_BUILD_ROOT%{_localedir}/{de_DE,de}

# what is the other Spanish?
rm -r $RPM_BUILD_ROOT%{_localedir}/es_ES
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES FAQ README TODO
%attr(755,root,root) %{_bindir}/gourmet
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/recbox.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files -n python-%{name}
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}-%{version}*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gourmet.spec,v $
Revision 1.16  2011/04/16 18:50:46  uzsolt
- 0.15.9 (rel2, because of my test builds)
- solved language todo (create mo-files with msgfmt)

Revision 1.15  2011/01/30 13:57:56  uzsolt
- 0.15.7

Revision 1.14  2011/01/24 02:00:06  sparky
- BR: rpm-pythonprov

Revision 1.13  2010/11/02 23:49:48  uzsolt
- python-sqlite requires
- python-gourmet hungarizing and correct a typo

Revision 1.12  2010/10/21 20:10:35  uzsolt
- 0.15.6

Revision 1.11  2010/07/09 11:16:56  arekm
- release 2

Revision 1.10  2010/06/22 14:10:54  uzsolt
- 0.15.4

Revision 1.9  2010/04/08 07:20:08  jajcus
- BuildArch: noarch
- BR: intltool

Revision 1.8  2010/04/08 07:08:33  jajcus
- adapterized

Revision 1.7  2010/04/08 07:08:12  jajcus
- do not packages /usr/share/locale/* directories! use %find_lang instead.
- unsuported locales renamed (de_DE, sv_SE) or removed (es_ES)
- python modules and *.egg-info moved to python-%{name}
- packages compiled modules only (it seems the gourmet plugin loader has no
  problem with this)
- Suggests added for python packages needed by some gourmet plugins
  (python-poppler is not available in PLD right now)
- Release: 2

Revision 1.6  2009/12/21 13:30:53  uzsolt
- 0.15.3

Revision 1.5  2009/07/18 10:51:06  uzsolt
- python-sqlalchemy-migrate R

Revision 1.4  2009/07/18 09:53:55  uzsolt
- 0.14.4
- python-ReportLab BR

Revision 1.3  2008/12/13 09:42:10  uzsolt
- up to 0.13.8
- rel 1

Revision 1.2  2008/09/05 16:13:10  uzsolt
- fix python-ReportLab typo

Revision 1.1  2008/09/05 15:39:39  uzsolt
- initial

